> For the complete documentation index, see [llms.txt](https://docs.ellipsis-drive.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ellipsis-drive.com/developers/api-v3/path-raster/timestamps/upload-raster/upload-raster-file.md).

# Upload raster file

| **Description** | Uploads a raster file as multipart form              |
| --------------- | ---------------------------------------------------- |
| **Endpoint**    | `/path/{pathId}/raster/timestamp/{timestampId}/file` |
| **Method**      | POST                                                 |

## Access Level Rules

| **Minimum Access Level** | edit+ |
| ------------------------ | ----- |

## Processing Units

| **Minimum processing units** | 2 |
| ---------------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="351">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the raster layer.</td><td>true</td><td></td></tr><tr><td><code>timestampId</code></td><td>The id of the timestamp the upload is for.</td><td>true</td><td></td></tr><tr><td><code>name</code></td><td>The name of the file to be uploaded.</td><td>true</td><td></td></tr><tr><td><code>data</code></td><td>The file to be uploaded.</td><td>true</td><td></td></tr><tr><td><code>epsg</code></td><td>The epsg of the file as an integer. Required if the file itself does not contain a coordinate system.</td><td>false</td><td>Default null.</td></tr><tr><td><code>format</code></td><td>The format of the file.</td><td>false</td><td>Default "tif".</td></tr><tr><td><code>noDataValue</code></td><td>A value to use as no data value.</td><td>false</td><td>Default null.</td></tr><tr><td><code>mosaicPriority</code></td><td>An integer indicating the order to mosaic the files in. Higher means on top.</td><td>false</td><td>Default null.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-raster/timestamps/upload-raster/upload-raster-file.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
